/**
 * num: số thứ tự
 * langId: ngôn ngữ
 * tags: tag
 * itemId: id vật phẩm
 */
const hatsuData = [
    { num:0, langId:"hatsu.none", tags:[""], itemId:"" },
    { num:1, langId:"hatsu.gon", tags:["gon"], itemId:"gon" },
    { num:2, langId:"hatsu.killua", tags:["killua"], itemId:"killua" },
    { num:3, langId:"hatsu.uvogin", tags:["uvogin"], itemId:"uvogin" },
    { num:4, langId:"hatsu.meruem", tags:["meruem"], itemId:"meruem" },
    { num:5, langId:"hatsu.feitan", tags:["feitan"], itemId:"feitan" },
    { num:6, langId:"hatsu.netero", tags:["netero"], itemId:"netero" }
]
/**
 * @param {{ num: Number; langId: String; tags: String[]; itemId: String; }} [info={num,langId,tags,itemId}] 
 * @returns 
 */
export function getHatsuData(info={num,langId,tags,itemId}){
    if(info.num!=null){
        return hatsuData.filter(item => item.num === info.num)[0];
    }
    else if(info.langId!=null){
        return hatsuData.filter(item => item.langId === info.langId)[0];
    }
    else if(info.tags!=null){
        return hatsuData.filter(item => item.tags.every((tag) => info.tags.includes(tag)))[0];
    }
    else if(info.itemId!=null){
        return hatsuData.filter(item => item.itemId === info.itemId)[0];
    }
}